Subject: Re: crt0.o
From: [email-masked] (Mumit Khan)

16 Mar 1998 00:53:37 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked] (John Huddleston)
Cc: [email-masked] (GNU 32)

[email-masked] (John Huddleston) writes:
> Hi,
> 
> I downloaed the recent egcs 1.02 egcs binaries and 
> when compiling with g77, I get a 'crt0.o' not found.
> 
> I am a "brand new" win user so I would not have had
> this object from another release.   How do I go about
> getting this object and any other objects that are
> required for the link.
> 

Ah, I wish I had the time right now to write up a simple
installation instruction.

Basically, since the embedded installed pathnames are not
the same, you need to set a bunch of environment variables.
See my EGCS page, especially the FAQ for more info.
  
  http://www.xraylith.wisc.edu/~khan/software/gnu-win32/egcs.html

The ones of interest, other than obvious ones like PATH, are:

  GCC_EXEC_PREFIX			<< for all languages
  LIBRARY_PATH				<<     all languages
  C_INCLUDE_PATH			<<     C
  CPLUS_INCLUDE_PATH			<<     C++
  OBJC_INCLUDE_PATH			<<     ObjC

Your particular problem has to do with not having set LIBRARY_PATH,
so that the linker/compiler can't find crt0.o (which btw is located
in /Cygnus/B19/H-i386-cygwin32/i386-cygwin32/lib/ directory).

I'll release the egcs-1.0.2 binaries next week that will *replace*
the rather buggy b19 compilers, and then the setup will just work
w/out having to change anything.

Mumit
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".